Group: Development/Perl
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(CGI.pm) perl(CGI/Cookie.pm) perl(English.pm) perl(File/Spec/Functions.pm) perl(HTTP/Daemon.pm) perl(HTTP/Status.pm) perl(Safe.pm) perl(Template.pm) perl-devel perl-podlators
# END SourceDeps(oneline)
Name:           perl-Workflow
Version:        1.35
Release:        alt1_2
Summary:        Simple, flexible system to implement workflows
License:        GPL+ or Artistic
URL:            http://search.cpan.org/dist/Workflow/
Source0:        http://www.cpan.org/authors/id/J/JO/JONASBN/Workflow-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  perl
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
BuildRequires:  perl(Module/Build.pm)
BuildRequires:  perl(Carp.pm)
BuildRequires:  perl(Class/Accessor.pm)
BuildRequires:  perl(Class/Factory.pm)
BuildRequires:  perl(Class/Observable.pm)
BuildRequires:  perl(DateTime.pm)
BuildRequires:  perl(DateTime/Format/Strptime.pm)
BuildRequires:  perl(Data/Dumper.pm)
BuildRequires:  perl(DBD/Mock.pm)
BuildRequires:  perl(DBI.pm)
BuildRequires:  perl(Exception/Class.pm)
BuildRequires:  perl(File/Slurp.pm)
BuildRequires:  perl(List/MoreUtils.pm)
BuildRequires:  perl(Log/Dispatch.pm)
BuildRequires:  perl(Log/Log4perl.pm)
BuildRequires:  perl(Test/Exception.pm)
BuildRequires:  perl(XML/Simple.pm)

# tests
BuildRequires:  perl(Test/More.pm)
BuildRequires:  perl(DateTime.pm)
BuildRequires:  perl(DateTime/Format/Strptime.pm)
BuildRequires:  perl(DBD/SQLite.pm)

# optional test #1
BuildRequires:  perl(Data/UUID.pm)
# optional test #2 -- not in Fedora yet
#BuildRequires:  perl(SPOPS)

#Requires:       perl(Class::Accessor) >= 0.18
#Requires:       perl(Class::Factory) >= 1
#Requires:       perl(Class::Observable) >= 1.04
#Requires:       perl(DateTime) >= 0.15
#Requires:       perl(DateTime::Format::Strptime) >= 1
#Requires:       perl(DBD::Mock) >= 0.1
#Requires:       perl(Exception::Class) >= 1.1
#Requires:       perl(Log::Dispatch) >= 2
#Requires:       perl(Log::Log4perl) >= 0.34
#Requires:       perl(Test::Exception)
#Requires:       perl(XML::Simple) >= 2






Source44: import.info
%filter_from_requires /^perl\\(DBI.pm\\)/d
%filter_from_requires /^perl\\(Data.UUID.pm\\)/d
%filter_from_requires /^perl\\(File.Spec.Functions.pm\\)/d

%description
The 'Workflow' Perl module implements a standalone workflow system. It
aims to be simple but flexible and therefore powerful. Each piece of
the workflow system has a direct and easily stated job, and hopefully
you'll find that you can put the pieces together to create very useful
systems.

%prep
%setup -q -n Workflow-%{version}

%build
%{__perl} Build.PL --install_path bindoc=%_man1dir installdirs=vendor
./Build

%install
./Build install destdir=%{buildroot} create_packlist=0
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

# %{_fixperms} %{buildroot}/*

%check
# note: these are a little noisy.
./Build test

%files
%doc Changes README TODO doc/ eg/ struct/ 
%{perl_vendor_privlib}/*

%changelog
* Mon Mar 04 2013 Igor Vlasenko <viy@altlinux.ru> 1.35-alt1_2
- update to new release by fcimport

* Thu Nov 15 2012 Igor Vlasenko <viy@altlinux.ru> 1.35-alt1_1
- update to new release by fcimport

* Tue Jul 31 2012 Igor Vlasenko <viy@altlinux.ru> 1.34-alt2_3
- update to new release by fcimport

* Fri May 25 2012 Igor Vlasenko <viy@altlinux.ru> 1.34-alt2_1
- fc import

* Thu May 24 2012 Igor Vlasenko <viy@altlinux.ru> 1.34-alt1_1
- fc import

